<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'test-suite-view'">
  @if (componentData$ | async; as componentData) {
    <div class="flex full-height full-width neutral-background-color">
      <div class="flex-column full-width">
        <sqtm-core-entity-view-header
          class="full-width content-head p-t-10 p-r-20"
          [attachmentList]="componentData.testSuite.attachmentList"
          [entityPath]="componentData.testSuite.path"
          (attachmentBadgeClickEvent)="toggleAttachmentPanel()"
          id="test-suite-view-header"
        >
          <div projection="actions" class="m-t-10" style="width: 40px">
            <sqtm-core-fold-button></sqtm-core-fold-button>
          </div>
          <div
            projection="notifications"
            class="m-r-40"
            [attr.data-test-element-id]="'notifications'"
          >
            @if (!componentData.milestonesAllowModification) {
              <div
                [attr.data-test-element-id]="'milestone-locked-warning'"
                nz-tooltip
                [nzTooltipTitle]="lockedMilestoneMessage"
                [nzTooltipPlacement]="'bottom'"
                class="font-20-px sqtm-core-error-message"
              >
                <i
                  nz-icon
                  nzType="sqtm-core-nav:milestone"
                  nzTheme="outline"
                ></i>
              </div>
            }
          </div>
          <div
            projection="capsule"
            class="sqtm-core-capsules-container space-between"
          >
            <div class="flex">
              <sqtm-core-capsule-information
                [informationData]="
                  getExecutionStatusInformationData(
                    componentData.testSuite.executionStatus
                  )
                "
              >
              </sqtm-core-capsule-information>
              <sqtm-core-capsule-information
                [informationData]="
                  getProgressStateInformationData(
                    componentData.testSuite.testPlanStatistics.status
                  )
                "
              >
              </sqtm-core-capsule-information>
            </div>
            <sqtm-app-environments-statuses-count
              [holderType]="'test-suite'"
              [holderId]="componentData.testSuite.id"
            ></sqtm-app-environments-statuses-count>
          </div>
        </sqtm-core-entity-view-header>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    [id]="'information'"
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-generic:information'"
                    sqtmCoreDefaultAnchorLink
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'statistics'"
                    [nzTooltipTitle]="
                      'sqtm-core.campaign-workspace.label.statistics'
                        | translate
                    "
                    [iconName]="'sqtm-core-campaign:statistics'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
                <sqtm-core-anchor-group [id]="'test-plan'">
                  <sqtm-core-anchor-link
                    [id]="'plan-exec'"
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [nzTooltipTitle]="
                      'sqtm-core.campaign-workspace.title.plan-exec' | translate
                    "
                    [iconName]="'sqtm-core-campaign:list'"
                  >
                    @if (componentData.testSuite.nbTestPlanItems > 0) {
                      <div class="anchor-counter">
                        <span>{{
                          componentData.testSuite.nbTestPlanItems
                        }}</span>
                      </div>
                    }
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
                <sqtm-core-anchor-group [id]="'automated-suite'">
                  <sqtm-core-anchor-link
                    [id]="'automated-suite'"
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [nzTooltipTitle]="
                      'sqtm-core.campaign-workspace.title.automated-suite'
                        | translate
                    "
                    [iconName]="'sqtm-core-campaign:automation'"
                  >
                    @if (componentData.testSuite.nbAutomatedSuites > 0) {
                      <div class="anchor-counter">
                        <span>{{
                          componentData.testSuite.nbAutomatedSuites
                        }}</span>
                      </div>
                    }
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
                @if (componentData.projectData.bugTracker) {
                  <sqtm-core-anchor-group [id]="'issues'">
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'issues'"
                      [nzTooltipTitle]="
                        'sqtm-core.campaign-workspace.title.issues' | translate
                      "
                      [iconName]="'sqtm-core-generic:issues'"
                    >
                      @if (componentData.testSuite.nbIssues > 0) {
                        <div class="anchor-counter">
                          <span>{{ componentData.testSuite.nbIssues }}</span>
                        </div>
                      }
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                }
              </sqtm-core-anchor>
            </div>
          </div>
          <div #content class="content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </div>
    <sqtm-core-attachment-drawer
      [canAttach]="
        componentData.permissions.canAttach &&
        componentData.milestonesAllowModification
      "
    >
    </sqtm-core-attachment-drawer>
  }
</sqtm-core-entity-view-wrapper>

<ng-template #lockedMilestoneMessage>
  {{ 'sqtm-core.entity.generic.milestone.locked' | translate }}
</ng-template>
